#include <iostream>

using namespace std;

int main()
{
    int n,v,m,s;
    cin>>n;
    for(int i=1;i<n;i++)
    {
        cin>>v>>m;
    }
    if(v==1)
    {
    cout<<2;
    }
    else
        cout<<1;
}